Subject: Re: CPR wish list (Was: Re: Wanted: Aztec C Bugs...err...)
From: [email-masked] (Doug Walker)
Date: Mon, 21 Mar 1994 13:52:48 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, [email-masked] (Heinz Wrobel) writes:
|> Pretty much the only "features" I miss from db/sdb, is that you can't run
|> CPR standalone without something to debug and that you can't define symbols

No, but "cpr c:dir" is a good workaround.  You can then catch the
tasks you want to debug and detach the original task.

|> like you could with db and the "v/V" commands. This came in handy very
|> often when I had too look at unknown assembly code. I could just set
|> "labels" at the points I wanted to remember by defining symbols. No, I am
|> not doing illegal things, but I already had to trace devices, link libs and
|> even functions in KS images to find obscure bugs. I just loved that
|> feature.

The "define" command in CPR helps you work around this somewhat.  No,
you can't define a label that will show up in the disassembly, but you
can say "define foo 0x7ef4430" to define a shorthand for that address.
The define command works just like a #define in C, so you can give it
macro-style arguments as well:  

   define foo(x) ((struct FOO *)(x+0x20))
   d foo(x)->field

Your other suggestions are good ones, and are either already in our
database or will be soon.

|> To you non SAS/S users out there: CPR is by no means bad. It is actually
|> rather great like all of SAS/C. But it could IMHO still be improved.

It's always possible to improve, and it helps to have good suggestions.
Thanks for the input.

|> Heinz Wrobel        Edotronik GmbH: [email-masked]
|>                     Private Mail:   [email-masked]
|> My private FAX: +49 89 850 51 25, I prefer email

-- 
  *****                    / [email-masked]
 *|_o_o|\\     Doug Walker<  BIX, Portal: djwalker
 *|. o.| ||                \ CompuServe: 71165,2274
  | o  |//     
  ====== 
Any opinions expressed are mine, not those of SAS Institute, Inc.